interface Props {
    id: string;
    /** Here, the height can be set to a fixed value. Otherwise, it is automatically scaled with the flexible grid. */
    fixedHeight?: number;
    unit?: string;
    showLegends?: boolean;
    legendLength?: number;
    tooltip?: {
        header: string;
        subheader: string;
        compactNumber: boolean;
    };
    data: Array<{
        x: string;
        y: number;
    }>;
    /** The colours are adjusted based on the status codes. */
    customizationByStatusCode?: boolean;
    /**
     *  <pre>
     *    "customization": {
     *         "Peak": {<br>
     *             "color": "var(--exo-color-set-1-3)"
     *         },<br>
     *         "Average Response": {
     *             "color": "var(--exo-color-set-1-2)"
     *         },
     *         "Standard Deviation": {
     *             "color": "var(--exo-color-set-3-2)"
     *         }
     *     }
     *     </pre>
     */
    customization?: Object;
}
declare const _default: import('vue').DefineComponent<Props, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{}>, {
    data: Array<{
        x: string;
        y: number;
    }>;
    fixedHeight: number;
    unit: string;
    tooltip: {
        header: string;
        subheader: string;
        compactNumber: boolean;
    };
    showLegends: boolean;
    legendLength: number;
    customizationByStatusCode: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {}, any>;
export default _default;
