import { PropType } from 'vue';
import { default as InfoLabelContent } from '../../helper/types/InfoLabelContent';
import { default as ListInputWithHeaderItem } from './ListInputWithHeaderItem';
declare const _default: import('vue').DefineComponent<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    selectId: {
        type: StringConstructor;
        default: string;
    };
    items: {
        type: PropType<ListInputWithHeaderItem[]>;
        default: () => never[];
    };
    canBeEmpty: {
        type: BooleanConstructor;
        default: boolean;
    };
    isCanBeEmptyItemPreselect: {
        type: BooleanConstructor;
        default: boolean;
    };
    canBeEmptyInputText: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    invalid: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    strategy: {
        type: PropType<"absolute" | "fixed">;
        default: string;
    };
    helpText: {
        type: StringConstructor;
        default: string;
    };
    showStatusIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    infoText: {
        type: StringConstructor;
        default: string;
    };
    errorMsg: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    supressMenuWidth: {
        type: NumberConstructor;
        default: null;
    };
    iconType: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * preselect by id
     */
    preselect: {
        type: (StringConstructor | NumberConstructor)[];
        default: () => string;
    };
    /**
     * A small question mark icon will appear, which will display the text when you click on it.
     */
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    modelValue: {
        type: PropType<string | number>;
    };
}>, {}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {
    onChange: (...args: any[]) => void;
}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    id: {
        type: StringConstructor;
        required: true;
    };
    selectId: {
        type: StringConstructor;
        default: string;
    };
    items: {
        type: PropType<ListInputWithHeaderItem[]>;
        default: () => never[];
    };
    canBeEmpty: {
        type: BooleanConstructor;
        default: boolean;
    };
    isCanBeEmptyItemPreselect: {
        type: BooleanConstructor;
        default: boolean;
    };
    canBeEmptyInputText: {
        type: StringConstructor;
        default: string;
    };
    label: {
        type: StringConstructor;
        default: string;
    };
    disabled: {
        type: BooleanConstructor;
        default: boolean;
    };
    invalid: {
        type: BooleanConstructor;
        default: boolean;
    };
    required: {
        type: BooleanConstructor;
        default: boolean;
    };
    placeholder: {
        type: StringConstructor;
        default: string;
    };
    strategy: {
        type: PropType<"absolute" | "fixed">;
        default: string;
    };
    helpText: {
        type: StringConstructor;
        default: string;
    };
    showStatusIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    infoText: {
        type: StringConstructor;
        default: string;
    };
    errorMsg: {
        type: StringConstructor;
        default: string;
    };
    name: {
        type: StringConstructor;
        default: string;
    };
    supressMenuWidth: {
        type: NumberConstructor;
        default: null;
    };
    iconType: {
        type: BooleanConstructor;
        default: undefined;
    };
    /**
     * preselect by id
     */
    preselect: {
        type: (StringConstructor | NumberConstructor)[];
        default: () => string;
    };
    /**
     * A small question mark icon will appear, which will display the text when you click on it.
     */
    infoLabelContent: {
        type: PropType<undefined | InfoLabelContent>;
        default: undefined;
    };
    modelValue: {
        type: PropType<string | number>;
    };
}>> & Readonly<{
    onOnChange?: ((...args: any[]) => any) | undefined;
}>, {
    invalid: boolean;
    label: string;
    disabled: boolean;
    required: boolean;
    name: string;
    infoLabelContent: InfoLabelContent | undefined;
    placeholder: string;
    showStatusIcon: boolean;
    infoText: string;
    helpText: string;
    errorMsg: string;
    items: ListInputWithHeaderItem[];
    selectId: string;
    canBeEmpty: boolean;
    isCanBeEmptyItemPreselect: boolean;
    canBeEmptyInputText: string;
    strategy: "fixed" | "absolute";
    supressMenuWidth: number;
    iconType: boolean;
    preselect: string | number;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, true, {}, any>;
export default _default;
